Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412014 - [Docs][RFE] Rework Ceph Guide to use an answers file
Summary: [Docs][RFE] Rework Ceph Guide to use an answers file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ga
: ---
Assignee: Don Domingo
QA Contact: Dan Macpherson
URL:
Whiteboard:
Depends On: 1262104 1262106 1309460 1387078 1387471 1404199
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 01:08 UTC by Don Domingo
Modified: 2017-11-23 05:18 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1387471
Environment:
Last Closed: 2017-11-23 05:18:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 311218 0 None None None 2017-01-11 01:08:57 UTC

Comment 3 Dan Macpherson 2017-03-16 05:36:03 UTC
I've also got a branch being reviewed that implements some documentation to the OSP10 Director Guide that covers answer files. It might even be worthwhile if down the track I make this common content so the Ceph Guide can use it too.

Comment 4 Don Domingo 2017-09-18 01:09:11 UTC
Hi Dan,

If I have custom roles (eg. defined in /home/stack/templates/roles_data_custom.yaml), then do I add that to my Answers File under a 'roles' section? As in:

---
templates: /usr/share/openstack-tripleo-heat-templates
roles: /home/stack/templates/roles_data_custom.yaml
environments:
  - /home/stack/env1.yaml
  - /home/stack/env2.yaml
  - /home/stack/env3.yaml
---

Or do I invoke it separately (ie. Answers File feature doesn't support 'roles')? As in:

openstack overcloud deploy -r /home/stack/templates/roles_data_custom.yaml --answers-file ~/answers.yaml

Comment 6 Dan Macpherson 2017-09-18 03:24:31 UTC
Hi Don,

The second one -- answers files doesn't contain roles. You have to add with -r on the CLI.

Comment 8 Red Hat Bugzilla Rules Engine 2017-09-18 05:29:17 UTC
This bugzilla has been removed from the release since it has not been triaged, and needs to be reviewed for targeting another release.

Comment 9 Dan Macpherson 2017-09-18 06:26:19 UTC
LGTM


Note You need to log in before you can comment on or make changes to this bug.